<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XLbmHubGroup StructType
 * @subpackage Structs
 */
class XLbmHubGroup extends AbstractStructBase
{
    /**
     * The name
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $name;
    /**
     * The member1
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $member1;
    /**
     * The description
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $description;
    /**
     * The member2
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $member2;
    /**
     * The member3
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $member3;
    /**
     * Constructor method for XLbmHubGroup
     * @uses XLbmHubGroup::setName()
     * @uses XLbmHubGroup::setMember1()
     * @uses XLbmHubGroup::setDescription()
     * @uses XLbmHubGroup::setMember2()
     * @uses XLbmHubGroup::setMember3()
     * @param string $name
     * @param string $member1
     * @param string $description
     * @param string $member2
     * @param string $member3
     */
    public function __construct($name = null, $member1 = null, $description = null, $member2 = null, $member3 = null)
    {
        $this
            ->setName($name)
            ->setMember1($member1)
            ->setDescription($description)
            ->setMember2($member2)
            ->setMember3($member3);
    }
    /**
     * Get name value
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return XLbmHubGroup
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get member1 value
     * @return string
     */
    public function getMember1()
    {
        return $this->member1;
    }
    /**
     * Set member1 value
     * @param string $member1
     * @return XLbmHubGroup
     */
    public function setMember1($member1 = null)
    {
        // validation for constraint: string
        if (!is_null($member1) && !is_string($member1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($member1)), __LINE__);
        }
        $this->member1 = $member1;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return XLbmHubGroup
     */
    public function setDescription($description = null)
    {
        // validation for constraint: string
        if (!is_null($description) && !is_string($description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($description)), __LINE__);
        }
        $this->description = $description;
        return $this;
    }
    /**
     * Get member2 value
     * @return string|null
     */
    public function getMember2()
    {
        return $this->member2;
    }
    /**
     * Set member2 value
     * @param string $member2
     * @return XLbmHubGroup
     */
    public function setMember2($member2 = null)
    {
        // validation for constraint: string
        if (!is_null($member2) && !is_string($member2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($member2)), __LINE__);
        }
        $this->member2 = $member2;
        return $this;
    }
    /**
     * Get member3 value
     * @return string|null
     */
    public function getMember3()
    {
        return $this->member3;
    }
    /**
     * Set member3 value
     * @param string $member3
     * @return XLbmHubGroup
     */
    public function setMember3($member3 = null)
    {
        // validation for constraint: string
        if (!is_null($member3) && !is_string($member3)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($member3)), __LINE__);
        }
        $this->member3 = $member3;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return XLbmHubGroup
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
